%define upstream_version 20110620

Name:           hyphen-cy
Version:        0.%{upstream_version}
Release:        %mkrel 7
Summary:        Welsh hyphenation rules
License:        LPPL
Group:          Text tools
URL:            http://tug.org/tex-hyphen
Source0:        http://tug.org/svn/texhyphen/trunk/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-cy.tex
Patch0:         %{name}-%{version}-fdr-clean-tex.patch

BuildRequires:  hyphen-devel

BuildArch:      noarch

Requires:       hyphen
Requires: locales-cy

%description
Welsh hyphenation rules.


%prep
%setup -T -q -c
cp -p %{_sourcedir}/hyph-cy.tex .
%patch0 -p0 -b .clean

%build
substrings.pl hyph-cy.tex hyph_cy_GB.dic ISO8859-1
echo "Created with substring.pl by substrings.pl hyph-cy.tex hyph_cy_GB.dic ISO8859-1" > README
echo "---" >> README
head -n 25 hyph-cy.tex >> README

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_cy_GB.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README
%{_datadir}/hyphen/*


%changelog
* Tue Feb 02 2016 umeabot <umeabot> 0.20110620-7.mga6
+ Revision: 931330
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20110620-6.mga5
+ Revision: 744068
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20110620-5.mga5
+ Revision: 680347
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.20110620-4.mga4
+ Revision: 522968
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 tv <tv> 0.20110620-3.mga3
+ Revision: 406152
- requires locales-hyphen-cy (mga#9540)

* Sat Jan 12 2013 umeabot <umeabot> 0.20110620-2.mga3
+ Revision: 353850
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 10 2012 kamil <kamil> 0.20110620-1.mga2
+ Revision: 194688
- synchronize package with Fedora
  o new version
  o rediff patch and rename
  o change generation of the README file

* Tue Jan 10 2012 kamil <kamil> 0.20100531-2.mga2
+ Revision: 194609
- bump release to be before Mga1

* Tue Jan 10 2012 kamil <kamil> 0.20100531-1.mga2
+ Revision: 194598
- rebuild against new hyphen-devel
- clean spec

* Sat Mar 12 2011 ahmad <ahmad> 0.20100531-1.mga1
+ Revision: 69877
- imported package hyphen-cy


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20100531-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 01 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100531-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080619-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 13 2009 Caolán McNamara <caolanm@redhat.com> - 0.20080619-1
- initial version
